Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ApplicationRuntimeMBean

All Superinterfaces:
  DynamicMBean, weblogic.health.HealthFeedback, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface ApplicationRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

An application represents a J2EE Enterprise application packaged in an EAR file or EAR exploded directory. The EAR file or directory contains a set of components such as WAR, EJB, and RAR connector components, each of which can be deployed on one or more targets. A target is a server or a cluster.

ApplicationRuntimeMBean encapsulates runtime information about a deployed Enterprise application.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `ACTIVATED` State indicating at least one module in this application is currently active.
`static int` | `PREPARED` State indicating at least one module in this application is prepared, but none are active.
`static int` | `UNPREPARED` State indicating that none of the modules in this application are currently prepared or active.

Method Summary
`String` | `getApplicationName()` The name of the Enterprise application.
`String` | `getApplicationVersion()` The Enterprise application's version identifier.
`ComponentRuntimeMBean[]` | `getComponentRuntimes()` Returns the list of component runtime instances for each J2EE component (such as an EJB or a Web application) that is contained in this Enterprise application.
`weblogic.management.runtime.LibraryRuntimeMBean[]` | `getLibraryRuntimes()` Returns the list of library runtime instances for each J2EE library that is contained in this Enterprise application.
`weblogic.management.runtime.MaxThreadsConstraintRuntimeMBean[]` | `getMaxThreadsConstraintRuntimes()` Get the runtime mbeans for all MaxThreadsConstraints defined at the app-level
`weblogic.management.runtime.MinThreadsConstraintRuntimeMBean[]` | `getMinThreadsConstraintRuntimes()` Get the runtime mbeans for all MinThreadsConstraints defined at the app-level
`weblogic.management.runtime.LibraryRuntimeMBean[]` | `getOptionalPackageRuntimes()` Returns the list of optional package runtime instances for each J2EE optional package that is contained in this Enterprise application.
`QueryCacheRuntimeMBean[]` | `getQueryCacheRuntimes()` Returns a list of QueryCacheRuntimeMBeans configured for this application.
`weblogic.management.runtime.RequestClassRuntimeMBean[]` | `getRequestClassRuntimes()` Get the runtime mbeans for all request classes defined at the app-level
`weblogic.management.runtime.WorkManagerRuntimeMBean[]` | `getWorkManagerRuntimes()` Returns the list of work manager runtime instances for each application-scoped work manager that is associated with this Enterprise application.
`WseeRuntimeMBean[]` | `getWseeRuntimes()` Returns the list of Web Service runtime instances that are contained in this Enterprise application.
`boolean` | `hasApplicationCache()` returns True if the application has an (EJB) Application Level Cache
`ComponentRuntimeMBean[]` | `lookupComponents()` Deprecated.
`QueryCacheRuntimeMBean` | `lookupQueryCacheRuntime(String cacheName)` Returns a QueryCacheRuntimeMBean for the app-scoped query-cache with name 'cacheName'.
`weblogic.management.runtime.WorkManagerRuntimeMBean` | `lookupWorkManagerRuntime(String componentName, String wmName)` Lookup the WorkManagerRuntimeMBean given the component name and work manager name.
`void` | `reInitializeApplicationCachesAndPools()` If the application has an (EJB) Application Level Cache then this method will reinitialize the cache and any of its associated pools to their startup time states if possible.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.health.HealthFeedback
`getHealthState`

Field Detail

### ACTIVATED

    public static final int ACTIVATED

  State indicating at least one module in this application is currently active.

  See Also:
    Constant Field Values

### PREPARED

    public static final int PREPARED

  State indicating at least one module in this application is prepared, but none are active.

  See Also:
    Constant Field Values

### UNPREPARED

    public static final int UNPREPARED

  State indicating that none of the modules in this application are currently prepared or active.

  See Also:
    Constant Field Values

Method Detail

### getApplicationName

    public String getApplicationName()

  The name of the Enterprise application.

  Returns:
    The applicationName value

### getApplicationVersion

    public String getApplicationVersion()

  The Enterprise application's version identifier.

  This is particularly useful, when using the side-by-side deployment feature, to differentiate between two different versions of the same application that are deployed at the same time.

  Returns:
    The applicationVersion value

### getComponentRuntimes

    public ComponentRuntimeMBean[] getComponentRuntimes()

  Returns the list of component runtime instances for each J2EE component (such as an EJB or a Web application) that is contained in this Enterprise application.

  Returns:

### getLibraryRuntimes

    public weblogic.management.runtime.LibraryRuntimeMBean[] getLibraryRuntimes()

  Returns the list of library runtime instances for each J2EE library that is contained in this Enterprise application.

  Returns:
    LibraryRuntimeMBean Array, null if this App is not referencing any Libraries.

### getMaxThreadsConstraintRuntimes

    public weblogic.management.runtime.MaxThreadsConstraintRuntimeMBean[] getMaxThreadsConstraintRuntimes()

  Get the runtime mbeans for all MaxThreadsConstraints defined at the app-level

  Since:
    9.0.0.0

### getMinThreadsConstraintRuntimes

    public weblogic.management.runtime.MinThreadsConstraintRuntimeMBean[] getMinThreadsConstraintRuntimes()

  Get the runtime mbeans for all MinThreadsConstraints defined at the app-level

  Since:
    9.0.0.0

### getOptionalPackageRuntimes

    public weblogic.management.runtime.LibraryRuntimeMBean[] getOptionalPackageRuntimes()

  Returns the list of optional package runtime instances for each J2EE optional package that is contained in this Enterprise application.

  Returns:
    LibraryRuntimeMBean Array, null if this App is not referencing any Optional Packages.

### getQueryCacheRuntimes

    public QueryCacheRuntimeMBean[] getQueryCacheRuntimes()

  Returns a list of QueryCacheRuntimeMBeans configured for this application.

  Returns:

### getRequestClassRuntimes

    public weblogic.management.runtime.RequestClassRuntimeMBean[] getRequestClassRuntimes()

  Get the runtime mbeans for all request classes defined at the app-level

  Since:
    9.0.0.0

### getWorkManagerRuntimes

    public weblogic.management.runtime.WorkManagerRuntimeMBean[] getWorkManagerRuntimes()

  Returns the list of work manager runtime instances for each application-scoped work manager that is associated with this Enterprise application.

  Since:
    9.0.0.0

### getWseeRuntimes

    public WseeRuntimeMBean[] getWseeRuntimes()

  Returns the list of Web Service runtime instances that are contained in this Enterprise application.

  Returns:

### hasApplicationCache

    public boolean hasApplicationCache()

  returns True if the application has an (EJB) Application Level Cache

### lookupComponents

    public ComponentRuntimeMBean[] lookupComponents()

  Deprecated.

  The ComponentRuntimeMBean's contained in this application

  Returns:

### lookupQueryCacheRuntime

    public QueryCacheRuntimeMBean lookupQueryCacheRuntime(String cacheName)

  Returns a QueryCacheRuntimeMBean for the app-scoped query-cache with name 'cacheName'.

  Returns:

### lookupWorkManagerRuntime

    public weblogic.management.runtime.WorkManagerRuntimeMBean lookupWorkManagerRuntime(String componentName,
                                                                                        String wmName)

  Lookup the WorkManagerRuntimeMBean given the component name and work manager name. If the component name is null then the WorkManagerRuntime is retrieved from the application itself.

  Since:
    9.0.0.0

### reInitializeApplicationCachesAndPools

    public void reInitializeApplicationCachesAndPools()

  If the application has an (EJB) Application Level Cache then this method will reinitialize the cache and any of its associated pools to their startup time states if possible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD